/// class PD.Shared.Dialogs.TaskAlertDialog
/// using PD.Web.UI.Dialog

/**
@class TaskAlertDialog
@namespace PD.Shared.Dialogs
@extends Web.UI.Dialog
@constructor
**/
PD.Shared.Dialogs.TaskAlertDialog =
PD.Web.UI.Dialog.extend({

    //===================================
    // CONSTRUCTOR
    //===================================

    init: function (options) {

        this._super($.extend(true, {
            mode: 0,
            config: {
                height: "430px",
                minHeight: "350px",
                width: "500px",
                minWidth: "350px",
                title: "Task Alert",

            }
        }, options));

    },

    //===================================
    // PROTECTED METHODS
    //===================================

    template: function (options) {
        return "<div style='position:absolute;top:0;left:0;bottom:0;right:0;overflow:hidden;'></div>";
    },

    getTag: function (key) {

        var result = "",
            alert = this.get_options().alert;

        if (alert != null) {
            result = alert.tags[key];
        }

        return result;

    }

});

PD.Shared.Dialogs.TaskAlertDialog.open = function (options) {
    return new PD.Shared.Dialogs.TaskAlertDialog(options);
};